## virtualbox 4.3.10-dfsg

=== debian/changelog ===
virtualbox (4.3.10-dfsg-1) unstable; urgency=high

  * New upstream release.
    - Fixes multiple memory corruption vulnerabilities in the 3D acceleration
      code. (Closes: #741602)
      CVE-2014-0981, CVE-2014-0983

  [ Gianfranco Costamagna ]
  * Patch refresh.
  * d/control, enforcing gsoap min required version.

  [ Felix Geyer ]
  * Override embedded-library nspr lintian warning, it's a locally modified
    version.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 06 Apr 2014 15:31:09 +0200

virtualbox (4.3.6-dfsg-2) unstable; urgency=medium

  * Disable bindnow in hardening-wrapper. This fixes loading the x11 driver.
    (LP: #1280292)

 -- Felix Geyer <fgeyer@debian.org>  Sat, 15 Feb 2014 11:02:21 +0100

virtualbox (4.3.6-dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #733263)
    - Fixes build against Linux 3.13. (Closes: #734340)
    - Fixes several vulnerabilities. (Closes: #735410)
      CVE-2013-5892, CVE-2014-0407, CVE-2014-0406, CVE-2014-0404
  * Drop compatibility with old X11 server packages.
  * Enable hardened build flags using hardening-wrapper. The upstream build
    system ignores the *FLAGS env variables. (Closes: #736459)
  * Refresh 16-no-update.patch.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 10 Feb 2014 21:41:40 +0100

virtualbox (4.3.2-dfsg-1) unstable; urgency=low

  [ Ritesh Raj Sarraf ]
  * [a4d35eb] Drop patch 30-usb-warning-filters.patch
  * [84b99a4] Refresh patch 27-hide-host-cache-warning.patch
  * [55f29e6] Add virtualbox-guest-x11.postrm and call ldconfig in postrm
  * [9bbe020] Don't ship .debug files, when we already are stripping dwarf
    symbols from its libraries
  * Fix VBox network interface error on Linux 3.11
    - Add 38-linux-3.11-vboxnet.patch 
  * [8e73a12] Imported Upstream version 4.3.2-dfsg
  * [9b2bc93] Fix VBox network interface error on Linux 3.11
  * [516aa9a] Refresh patches and drop patch 37 and 38 for linux 3.11
  * [ab699e4] bump versioned build-dep on kbuild to r2695
  * [5913c87] Add myself to Uploaders
  * [8e53496] Add libvpx-dev to build-deps
  * [caeed37] Add patch 02-gsoap-build-fix.patch to fix build
    incompatibilities with gsoap > 2.8.13

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 10 Dec 2013 10:15:34 -0500

=== debian/control ===
Source: virtualbox
Section: contrib/misc
Priority: optional
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Felix Geyer <fgeyer@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: bzip2,
               debhelper (>= 7.2.7~),
               default-jdk,
               dkms (>= 2.1.1.1),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib [amd64],
               genisoimage,
               gsoap (>= 2.8.16),
               hardening-wrapper,
               iasl,
               imagemagick,
               kbuild (>= 1:0.1.9998svn2695),
               libasound2-dev,
               libcap-dev,
               libcurl4-openssl-dev,
               libdevmapper-dev,
               libdrm-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libidl-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt4-dev (>= 4.4.0),
               libqt4-network (>= 4.4.0),
               libqt4-opengl-dev (>= 4.4.0),
               libsdl1.2-dev,
               libssl-dev,
               libvncserver-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx-cur,
               makeself,
               python-dev (>= 2.6.6-3~),
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev,
               xsltproc,
               yasm (>= 0.7.0),
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 3.9.4
Homepage: http://www.virtualbox.org/
Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/virtualbox.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-virtualbox/virtualbox.git

Package: virtualbox-qt
Architecture: amd64 i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         virtualbox (= ${binary:Version})
Breaks: virtualbox (<< 4.1.6-dfsg-2~)
Replaces: virtualbox (<< 4.1.6-dfsg-2~)
Description: x86 virtualization solution - Qt based user interface
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the Qt based graphical user interface for VirtualBox.

Package: virtualbox
Architecture: amd64 i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         adduser
Recommends: virtualbox-dkms (= ${source:Version}) | virtualbox-source (= ${source:Version}),
            virtualbox-qt (= ${binary:Version}),
            ${shlibs:Recommends}
Suggests: virtualbox-guest-additions-iso,
          vde2
Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0, virtualbox-4.2
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.

Package: virtualbox-dbg
Section: contrib/debug
Priority: extra
Architecture: amd64 i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
         virtualbox (= ${binary:Version}) | virtualbox-guest-utils (= ${binary:Version})
Description: x86 virtualization solution - debugging symbols
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the debugging symbols for VirtualBox.

Package: virtualbox-dkms
Section: contrib/kernel
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, virtualbox (>= ${source:Version})
Description: x86 virtualization solution - kernel module sources for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.

Package: virtualbox-source
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends},
         build-essential,
         debhelper (>= 5),
         bzip2,
         kbuild
Recommends: module-assistant
Description: x86 virtualization solution - kernel module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module.
 The virtualbox package is also required in order to make use of these
 modules. Kernel sources or headers are required to compile this module.

Package: virtualbox-guest-dkms
Section: contrib/kernel
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
         virtualbox-guest-utils (>= ${source:Version})
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - guest addition module source for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules to be build with dkms. Kernel sources or headers are required to
 compile these modules.

Package: virtualbox-guest-source
Section: contrib/kernel
Architecture: all
Depends: ${misc:Depends}, 
         build-essential,
         debhelper (>= 5),
         bzip2,
         kbuild
Recommends: module-assistant
Description: x86 virtualization solution - guest addition module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox guest addition kernel
 modules. The virtualbox-guest-utils package is also required in order to
 make use of these modules. Kernel sources or headers are required to compile
 these modules.

Package: virtualbox-guest-x11
Section: contrib/x11
Architecture: amd64 i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${xserver:Depends},
         virtualbox-guest-utils (= ${binary:Version})
Provides: xorg-driver-video
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils
Architecture: amd64 i386
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         pciutils
Recommends: virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}),
            virtualbox-guest-x11 (= ${binary:Version})
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
gsource:=virtualbox-guest-source
pdkms:=virtualbox-dkms
gdkms:=virtualbox-guest-dkms

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils
uxname:=virtualbox-guest-x11

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

pkgs_xzcompress = $(shell dh_listpackages | grep -v -e source)

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

XSERVER_VERSION = 17

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

%:
	dh $@ --with python2,dkms

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)

	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).links.in > debian/$(gdkms).links
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/$(gdkms).install.in > debian/$(gdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
endif

override_dh_install:
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
	dh_install --remaining-packages

	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
	convert debian/$(sxname)/usr/share/icons/hicolor/32x32/apps/virtualbox.png \
	    debian/$(sxname)/usr/share/pixmaps/virtualbox.xpm

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(gdkms)/usr/share/apport/package-hooks/$(gdkms).py
endif

override_dh_link:
	dh_link
	dh_link -p$(uxname) --ignore debian/$(uxname).links \
	    /usr/lib/VBoxOGL.so $(shell pkg-config --variable dridriverdir dri)/vboxvideo_dri.so

override_dh_fixperms:
	dh_fixperms

	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBox

	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.gc
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar

	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl
	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules
	chmod 755 debian/$(gsource)/usr/src/modules/$(gname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules
	cd debian/$(gsource)/usr/src && \
	    tar -cjf $(gname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
	chmod 644 debian/$(gsource)/usr/src/$(gname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_dkms:
	dh_dkms -V $(upstreamversion)

override_dh_strip:
	dh_strip --dbg-package=$(sname)-dbg

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.gc debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMGC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug

override_dh_shlibdeps:
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf

override_dh_builddeb:
	dh_builddeb $(foreach pkg,$(pkgs_xzcompress),-p$(pkg)) -- -Zxz
	dh_builddeb --remaining-packages

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(gdkms).install
	rm -f debian/$(pdkms).links
	rm -f debian/$(gdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox 4.3.18

=== src/VBox/Additions/common/VBoxGuest/linux/Makefile ===
# $Revision: 95611 $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2012 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile.include.header

MOD_NAME = vboxguest

MOD_OBJS   = \
	VBoxGuest-linux.o \
	VBoxGuest.o \
	VBoxGuest2.o \
	GenericRequest.o \
	HGCMInternal.o \
	Init.o \
	PhysHeap.o \
	SysHlp.o \
	VMMDev.o \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/log/log.o \
        common/log/logellipsis.o \
        common/log/logrel.o \
        common/log/logrelellipsis.o \
        common/log/logcom.o \
	common/log/logformat.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/thread.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyP.o \
	common/string/strformat.o \
	common/string/strformatrt.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strtonum.o \
	common/table/avlpv.o \
	common/time/time.o \
	generic/RTAssertShouldPanic-generic.o \
        generic/RTLogWriteStdErr-stub-generic.o \
        generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/errvars-generic.o \
	VBox/log-vbox.o \
	VBox/logbackdoor.o
ifeq ($(BUILD_TARGET_ARCH),x86)
MOD_OBJS += \
	common/math/gcc/divdi3.o \
	common/math/gcc/moddi3.o \
	common/math/gcc/udivdi3.o \
	common/math/gcc/umoddi3.o \
	common/math/gcc/qdivrem.o
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
MOD_OBJS +=	common/alloc/heapsimple.o
endif

MOD_DEFS = -DVBOX -DRT_OS_LINUX -DIN_RING0 -DIN_RT_R0 -DIN_GUEST \
            -DIN_GUEST_R0 -DIN_MODULE -DRT_WITH_VBOX -DVBGL_VBOXGUEST \
            -DVBOX_WITH_HGCM
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS  += -DRT_ARCH_AMD64
else
 MOD_DEFS  += -DRT_ARCH_X86
endif
ifeq ($(BUILD_TARGET_ARCH),amd64)
 MOD_DEFS += -DVBOX_WITH_64_BITS_GUESTS
endif
MOD_INCL  = $(addprefix -I$(KBUILD_EXTMOD),/ /include /r0drv/linux)
MOD_INCL += $(addprefix -I$(KBUILD_EXTMOD)/vboxguest,/ /include /r0drv/linux)

ifneq ($(wildcard $(KBUILD_EXTMOD)/vboxguest),)
 MANGLING := $(KBUILD_EXTMOD)/vboxguest/include/VBox/VBoxGuestMangling.h
else
 MANGLING := $(KBUILD_EXTMOD)/include/VBox/VBoxGuestMangling.h
endif
ifeq ($(KERN_VERSION),24)
 ## @todo move to MOD_DEFS when we have finished refactoring
 MOD_CFLAGS = -DEXPORT_SYMTAB
else
 MOD_CFLAGS = -Wno-declaration-after-statement -include $(MANGLING)
endif

MOD_CLEAN = . linux r0drv generic r0drv/linux r0drv/generic VBox \
		common/alloc common/err common/log common/math/gcc common/misc \
		common/string common/time

include $(obj)/Makefile.include.footer

check: $(MOD_NAME)
	@if ! readelf -p __ksymtab_strings vboxguest.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

## virtualbox 4.3.18-dfsg

=== debian/changelog ===
virtualbox (4.3.18-dfsg-3) unstable; urgency=medium

  * Conflict with upstream proprietary packages 4.3 series.
    (LP: #1371287, LP: #1375018, LP: #1385931, LP: #1386328, LP: #1421926)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 09 Mar 2015 10:12:44 +0100

virtualbox (4.3.18-dfsg-2) unstable; urgency=high

  [ Frank Mehnert ]
  * d/rules: Disable experimental code by exporting
    VBOX_WITH_VMSVGA= VBOX_WITH_VMSVGA3D=
    this fixes CVE-2014-6595, CVE-2014-6590, CVE-2014-6589,
    CVE-2014-6588 and CVE-2015-0427. (Closes: #775888)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 22 Jan 2015 10:51:40 +0100

virtualbox (4.3.18-dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported Upstream release.
  * Add myself to uploaders.
  * Patch refresh.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Wrap-and-sort control file.
  * Fix lintian warnings:
    - Remove old hardening-wrapper
    - Remove broken symlinks.

  [ Felix Geyer ]
  * Remove myself from uploaders.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 17 Oct 2014 11:54:01 +0200

virtualbox (4.3.14-dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release (Closes: #754220)
    thanks Mateusz Łukasik for the patch.
  * Rebuild against the new xorg-video-abi-18 (Closes: #755067)
  * Tweak README.source to show how to upgrade the package with
    uscan (Closes: #699141), thanks Dmitry!
  * Removing some binary files from the source tarball,
    spotted by lintian.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 26 Jul 2014 15:25:37 +0200

virtualbox (4.3.12-dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 04 Jun 2014 09:43:11 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
-           Felix Geyer <fgeyer@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
+           Ritesh Raj Sarraf <rrs@debian.org>,
+           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
 Build-Depends: bzip2,
-               debhelper (>= 7.2.7~),
+               debhelper (>= 9),
                default-jdk,
                dkms (>= 2.1.1.1),
                docbook-xml,
@@ -14,7 +15,6 @@
                g++-multilib [amd64],
                genisoimage,
                gsoap (>= 2.8.16),
-               hardening-wrapper,
                iasl,
                imagemagick,
                kbuild (>= 1:0.1.9998svn2695),
@@ -53,6 +53,7 @@
                lsb-release,
                lynx-cur,
                makeself,
+               module-assistant,
                python-dev (>= 2.6.6-3~),
                texlive-fonts-extra,
                texlive-fonts-recommended,
@@ -66,7 +67,7 @@
                yasm (>= 0.7.0),
                zlib1g-dev
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.virtualbox.org/
 Vcs-Git: git://anonscm.debian.org/pkg-virtualbox/virtualbox.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-virtualbox/virtualbox.git
@@ -74,9 +75,7 @@
 Package: virtualbox-qt
 Architecture: amd64 i386
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         virtualbox (= ${binary:Version})
+Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: virtualbox (<< 4.1.6-dfsg-2~)
 Replaces: virtualbox (<< 4.1.6-dfsg-2~)
 Description: x86 virtualization solution - Qt based user interface
@@ -89,16 +88,21 @@
 Package: virtualbox
 Architecture: amd64 i386
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         adduser
+Depends: adduser, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Recommends: virtualbox-dkms (= ${source:Version}) | virtualbox-source (= ${source:Version}),
             virtualbox-qt (= ${binary:Version}),
             ${shlibs:Recommends}
-Suggests: virtualbox-guest-additions-iso,
-          vde2
-Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0, virtualbox-4.2
+Suggests: vde2, virtualbox-guest-additions-iso
+Conflicts: virtualbox-2.0,
+           virtualbox-2.1,
+           virtualbox-2.2,
+           virtualbox-3.0,
+           virtualbox-3.1,
+           virtualbox-3.2,
+           virtualbox-4.0,
+           virtualbox-4.1,
+           virtualbox-4.2,
+           virtualbox-4.3
 Description: x86 virtualization solution - base binaries
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -114,8 +118,8 @@
 Priority: extra
 Architecture: amd64 i386
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends},
-         virtualbox (= ${binary:Version}) | virtualbox-guest-utils (= ${binary:Version})
+Depends: virtualbox (= ${binary:Version}) | virtualbox-guest-utils (= ${binary:Version}),
+         ${misc:Depends}
 Description: x86 virtualization solution - debugging symbols
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -127,7 +131,7 @@
 Section: contrib/kernel
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, virtualbox (>= ${source:Version})
+Depends: virtualbox (>= ${source:Version}), ${misc:Depends}
 Description: x86 virtualization solution - kernel module sources for dkms
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -140,12 +144,12 @@
 Package: virtualbox-source
 Section: contrib/kernel
 Architecture: all
-Depends: ${misc:Depends},
-         build-essential,
-         debhelper (>= 5),
+Depends: build-essential,
          bzip2,
-         kbuild
-Recommends: module-assistant
+         debhelper (>= 9),
+         kbuild,
+         module-assistant,
+         ${misc:Depends}
 Description: x86 virtualization solution - kernel module source
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -159,8 +163,7 @@
 Section: contrib/kernel
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends},
-         virtualbox-guest-utils (>= ${source:Version})
+Depends: virtualbox-guest-utils (>= ${source:Version}), ${misc:Depends}
 XB-Modaliases: ${modaliases}
 Description: x86 virtualization solution - guest addition module source for dkms
  VirtualBox is a free x86 virtualization solution allowing a wide range
@@ -174,12 +177,12 @@
 Package: virtualbox-guest-source
 Section: contrib/kernel
 Architecture: all
-Depends: ${misc:Depends}, 
-         build-essential,
-         debhelper (>= 5),
+Depends: build-essential,
          bzip2,
-         kbuild
-Recommends: module-assistant
+         debhelper (>= 9),
+         kbuild,
+         module-assistant,
+         ${misc:Depends}
 Description: x86 virtualization solution - guest addition module source
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -194,10 +197,10 @@
 Section: contrib/x11
 Architecture: amd64 i386
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends},
+Depends: virtualbox-guest-utils (= ${binary:Version}),
          ${misc:Depends},
-         ${xserver:Depends},
-         virtualbox-guest-utils (= ${binary:Version})
+         ${shlibs:Depends},
+         ${xserver:Depends}
 Provides: xorg-driver-video
 Description: x86 virtualization solution - X11 guest utilities
  VirtualBox is a free x86 virtualization solution allowing a wide range
@@ -211,10 +214,7 @@
 Package: virtualbox-guest-utils
 Architecture: amd64 i386
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         adduser,
-         pciutils
+Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
 Recommends: virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}),
             virtualbox-guest-x11 (= ${binary:Version})
 Description: x86 virtualization solution - non-X11 guest utilities

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,12 @@
 	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
 	    VBOX_WITH_REGISTRATION_REQUEST= \
 	    VBOX_WITH_UPDATE_REQUEST= \
-	    KBUILD_VERBOSE=2
+	    KBUILD_VERBOSE=2 \
+	    VBOX_WITH_VMSVGA= \
+	    VBOX_WITH_VMSVGA3D=
+
+# VBOX_WITH_VMSVGA and VBOX_WITH_VMSVGA3D are only for versions prior to 4.3.20 to fix CVE-2014-6595, CVE-2014-6590, CVE-2014-6589, CVE-2014-6588 and CVE-2015-0427
+
 
 	xsltproc --nonet --stringparam section.autolabel 1 \
 	    -o debian/README.Debian.html \

## virtualbox 4.3.26-dfsg

=== debian/changelog ===
virtualbox (4.3.26-dfsg-2ubuntu1) vivid; urgency=medium

  * Re-work the packaging to account for the kernel modules being shipped in
    the master kernel packages, removing the need for dkms (LP: #1434579):
    - Make the dkms package provide a virtual package matching what the
      kernel packages provide to indicate that they ship the dkms modules.
    - Add an alternate dep from the utils package to the virtual driver.
    - Make the x11 driver package associate with the VGA controller PCI ID.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 22 Apr 2015 10:01:25 +0100

virtualbox (4.3.26-dfsg-2) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * remove obsolete lintian overrides.
  * d/p/37-diff_smap_4.patch, cherry-pick upstream patch to fix a kernel
    paging issue (LP: #1437845).

  [ Ritesh Raj Sarraf ]
  * Remove Michael Meskes from uploaders.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 20 Mar 2015 12:02:04 +0100

virtualbox (4.3.26-dfsg-1) experimental; urgency=medium

  * Imported upstream release.
   * Conflict with upstream proprietary packages 4.3 series.
     (LP: #1371287, LP: #1375018, LP: #1385931, LP: #1386328, LP: #1421926)

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 17 Mar 2015 08:36:06 +0100

virtualbox (4.3.24-dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported upstream release (Closes: #779025).
  * Remove d/p/38-remove-hardcoded-gcc.patch, use --with-gcc and
    --with-g++ configure flags.
  * Remove d/p/37-fix-build.patch, merged upstream.

  [ Ritesh Raj Sarraf ]
  * [3bf4cdd] Add back versioned dependency on gcc multilib

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 04 Mar 2015 17:35:40 +0530

virtualbox (4.3.22-dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported Upstream release.
  * Update copyright year.
  * d/p/37-fix-build.patch fix build, following upstream change in
    xorg driver build (thanks to Michael Thayer for the hint and
    the help).
  * Remove old patches.
  * d/p/38-remove-hardcoded-gcc.patch use CC and CXX from d/rules
    until virtualbox is gcc-5 ready.

  [ Ritesh Raj Sarraf ]
  * [1413631] Build with gcc 4 only
  * [f34c886] Add versioned dependency on g++-multilib

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 15 Feb 2015 16:56:09 +0530

virtualbox (4.3.20-dfsg-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Imported Upstream release.

  [ Ritesh Raj Sarraf ]
  * Flip build dependency to libcurl4-gnutls-dev

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 03 Dec 2014 09:37:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
-Uploaders: Michael Meskes <meskes@debian.org>,
-           Ritesh Raj Sarraf <rrs@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
 Build-Depends: bzip2,
                debhelper (>= 9),
                default-jdk,
+               dh-python,
                dkms (>= 2.1.1.1),
                docbook-xml,
                docbook-xsl,
                dpkg-dev (>= 1.15.6~),
-               g++-multilib [amd64],
+               gcc-4.9,
+               g++-4.9,
+               g++-multilib ( << 4:5-0 ) [amd64],
                genisoimage,
                gsoap (>= 2.8.16),
                iasl,
@@ -20,7 +23,7 @@
                kbuild (>= 1:0.1.9998svn2695),
                libasound2-dev,
                libcap-dev,
-               libcurl4-openssl-dev,
+               libcurl4-gnutls-dev,
                libdevmapper-dev,
                libdrm-dev,
                libgl1-mesa-dev,
@@ -165,6 +168,7 @@
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: virtualbox-guest-utils (>= ${source:Version}), ${misc:Depends}
 XB-Modaliases: ${modaliases}
+Provides: virtualbox-guest-modules
 Description: x86 virtualization solution - guest addition module source for dkms
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -202,6 +206,7 @@
          ${shlibs:Depends},
          ${xserver:Depends}
 Provides: xorg-driver-video
+XB-Modaliases: ${modaliases}
 Description: x86 virtualization solution - X11 guest utilities
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -215,7 +220,7 @@
 Architecture: amd64 i386
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
-Recommends: virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}),
+Recommends: virtualbox-guest-dkms (= ${source:Version}) | virtualbox-guest-source (= ${source:Version}) | virtualbox-guest-modules,
             virtualbox-guest-x11 (= ${binary:Version})
 Description: x86 virtualization solution - non-X11 guest utilities
  VirtualBox is a free x86 virtualization solution allowing a wide range

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,9 @@
 	    --disable-kmods \
 	    --enable-webservice \
 	    --enable-vde \
-	    --enable-vnc
+	    --enable-vnc \
+	    --with-gcc=gcc-4.9 \
+	    --with-g++=g++-4.9
 
 override_dh_auto_build:
 	# Building package
@@ -99,6 +101,7 @@
 
 ifeq ($(DIST_NAME),Ubuntu)
 	echo "modaliases=vboxguest(pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*)" >> debian/$(gdkms).substvars
+	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
 endif
 
 override_dh_install:

## virtualbox 4.3.36

=== src/VBox/Additions/freebsd/drm/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox FreeBSD Host Driver.
#

#
#
# Copyright (C) 2006-2010 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#

KMOD = vboxvideo

SRCS = \
	vboxvideo_drm.c

SRCS += device_if.h bus_if.h pci_if.h opt_drm.h

.include <bsd.kmod.mk>

=== src/VBox/HostDrivers/Support/freebsd/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox FreeBSD Host Driver.
#

#
#
# Copyright (C) 2006-2012 Oracle Corporation
#
# This file is part of VirtualBox Open Source Edition (OSE), as
# available from http://www.virtualbox.org. This file is free software;
# you can redistribute it and/or modify it under the terms of the GNU
# General Public License (GPL) as published by the Free Software
# Foundation, in version 2 as it comes in the "COPYING" file of the
# VirtualBox OSE distribution. VirtualBox OSE is distributed in the
# hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL) only, as it comes in the "COPYING.CDDL" file of the
# VirtualBox OSE distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#

KMOD = vboxdrv

CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DSUPDRV_WITH_RELEASE_LOGGER -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVBOX_WITH_64_BITS_GUESTS

.if (${MACHINE_ARCH} == "i386")
 CFLAGS += -DRT_ARCH_X86
.elif (${MACHINE_ARCH} == "amd64")
 CFLAGS += -DRT_ARCH_AMD64
.endif

SRCS = \
	SUPDrv.c \
	SUPDrvSem.c \
	SUPDrvTracer.c \

# Include needed interface headers so they are created during build
SRCS += \
	device_if.h \
	bus_if.h

.PATH:	${.CURDIR}/freebsd
SRCS += \
	SUPDrv-freebsd.c

.PATH:	${.CURDIR}/alloc
SRCS += \
	heapsimple.c \
	alloc.c

.PATH:	${.CURDIR}/common/err
SRCS += \
	RTErrConvertFromErrno.c \
	RTErrConvertToErrno.c

.PATH:	${.CURDIR}/common/log
SRCS += \
	log.c \
	logellipsis.c \
	logrel.c \
	logrelellipsis.c \
	logcom.c \
	logformat.c

.PATH:	${.CURDIR}/common/misc
SRCS += \
	RTAssertMsg1Weak.c \
	RTAssertMsg2.c \
	RTAssertMsg2Add.c \
	RTAssertMsg2AddWeak.c \
	RTAssertMsg2AddWeakV.c \
	RTAssertMsg2Weak.c \
	RTAssertMsg2WeakV.c \
	assert.c \
	handletable.c \
	handletablectx.c \
	once.c \
	thread.c

.PATH:	${.CURDIR}/common/string
SRCS += \
	RTStrNCmp.c \
	RTStrNLen.c \
	RTStrCopy.c \
	RTStrCopyP.c \
	strformat.c \
	strformatrt.c \
	strformattype.c \
	strprintf.c \
	strtonum.c \
	memchr.c \
	stringalloc.c

.PATH:	${.CURDIR}/common/rand
SRCS += \
	rand.c \
	randadv.c \
	randparkmiller.c

.PATH:	${.CURDIR}/common/path
SRCS += \
	RTPathStripFilename.c

.PATH:	${.CURDIR}/common/checksum
SRCS += \
	crc32.c \
	ipv4.c \
	ipv6.c

.PATH:	${.CURDIR}/common/table
SRCS += \
	avlpv.c

.PATH:	${.CURDIR}/common/time
SRCS += \
	time.c

.PATH:	${.CURDIR}/generic
SRCS += \
	uuid-generic.c \
	RTAssertShouldPanic-generic.c \
	RTLogWriteDebugger-generic.c \
	RTLogWriteStdOut-stub-generic.c \
	RTLogWriteStdErr-stub-generic.c \
	RTLogWriteUser-generic.c \
	RTMpGetArraySize-generic.c \
	RTRandAdvCreateSystemFaster-generic.c \
	RTRandAdvCreateSystemTruer-generic.c \
	RTSemEventWait-2-ex-generic.c \
	RTSemEventWaitNoResume-2-ex-generic.c \
	RTSemEventMultiWait-2-ex-generic.c \
	RTSemEventMultiWaitNoResume-2-ex-generic.c \
	RTTimerCreate-generic.c \
	errvars-generic.c \
	mppresent-generic.c \
	timer-generic.c

.PATH:	${.CURDIR}/r0drv
SRCS += \
	alloc-r0drv.c \
	initterm-r0drv.c \
	memobj-r0drv.c \
	powernotification-r0drv.c

.PATH:	${.CURDIR}/r0drv/freebsd
SRCS += \
	assert-r0drv-freebsd.c \
	alloc-r0drv-freebsd.c \
	initterm-r0drv-freebsd.c \
	memobj-r0drv-freebsd.c \
	memuserkernel-r0drv-freebsd.c \
	mp-r0drv-freebsd.c \
	process-r0drv-freebsd.c \
	semevent-r0drv-freebsd.c \
	semeventmulti-r0drv-freebsd.c \
	semfastmutex-r0drv-freebsd.c \
	semmutex-r0drv-freebsd.c \
	spinlock-r0drv-freebsd.c \
	thread-r0drv-freebsd.c \
	thread2-r0drv-freebsd.c \
	time-r0drv-freebsd.c

.PATH:	${.CURDIR}/r0drv/generic
SRCS += \
	semspinmutex-r0drv-generic.c \
	mpnotification-r0drv-generic.c \
	RTMpIsCpuWorkPending-r0drv-generic.c

.PATH:	${.CURDIR}/VBox
SRCS += \
	log-vbox.c

.include <bsd.kmod.mk>

=== src/VBox/Devices/PC/ipxe/src/arch/i386/Makefile ===
# Force i386-only instructions
#
CFLAGS		+= -march=i386

# Code size reduction.
#
CFLAGS		+= -fomit-frame-pointer

# Code size reduction.
#
ifeq ($(CCTYPE),gcc)
CFLAGS		+= -fstrength-reduce
endif

# Code size reduction.  gcc3 needs a different syntax to gcc2 if you
# want to avoid spurious warnings.
#
ifeq ($(CCTYPE),gcc)
GCC_VERSION	:= $(subst ., ,$(shell $(CC) -dumpversion))
GCC_MAJOR	:= $(firstword $(GCC_VERSION))
ifeq ($(GCC_MAJOR),2)
CFLAGS		+= -malign-jumps=1 -malign-loops=1 -malign-functions=1
else
CFLAGS		+= -falign-jumps=1 -falign-loops=1 -falign-functions=1
endif # gcc2
endif # gcc

# Code size reduction.  This is almost always a win.  The kernel uses
# it, too.
#
ifeq ($(CCTYPE),gcc)
CFLAGS		+= -mpreferred-stack-boundary=2
endif

# Code size reduction.  Use regparm for all functions - C functions
# called from assembly (or vice versa) need __asmcall now
#
CFLAGS		+= -mregparm=3

# Code size reduction.  Use -mrtd (same __asmcall requirements as above)
ifeq ($(CCTYPE),gcc)
CFLAGS		+= -mrtd
endif

# Code size reduction.  This is the logical complement to -mregparm=3.
# It doesn't currently buy us anything, but if anything ever tries to
# return small structures, let's be prepared
#
CFLAGS		+= -freg-struct-return

# Force 32-bit code even on an x86-64 machine
#
CFLAGS		+= -m32
ASFLAGS		+= --32
ifeq ($(HOST_OS),FreeBSD)
LDFLAGS		+= -m elf_i386_fbsd
else
LDFLAGS		+= -m elf_i386
endif

# EFI requires -fshort-wchar, and nothing else currently uses wchar_t
#
CFLAGS		+= -fshort-wchar

# We need to undefine the default macro "i386" when compiling .S
# files, otherwise ".arch i386" translates to ".arch 1"...
#
CFLAGS			+= -Ui386

# Locations of utilities
#
ISOLINUX_BIN_LIST	:= \
	$(ISOLINUX_BIN) \
	/usr/lib/syslinux/isolinux.bin \
	/usr/share/syslinux/isolinux.bin \
	/usr/local/share/syslinux/isolinux.bin
ISOLINUX_BIN	= $(firstword $(wildcard $(ISOLINUX_BIN_LIST)))

# i386-specific directories containing source files
#
SRCDIRS		+= arch/i386/core arch/i386/transitions arch/i386/prefix
SRCDIRS		+= arch/i386/firmware/pcbios
SRCDIRS		+= arch/i386/image
SRCDIRS		+= arch/i386/interface/pcbios
SRCDIRS		+= arch/i386/interface/pxe
SRCDIRS		+= arch/i386/interface/pxeparent
SRCDIRS 	+= arch/i386/interface/syslinux
SRCDIRS		+= arch/i386/interface/vmware
SRCDIRS		+= arch/i386/hci/commands

# Include common x86 Makefile
#
MAKEDEPS	+= arch/x86/Makefile
include arch/x86/Makefile

# Include platform-specific Makefile
#
MAKEDEPS	+= arch/i386/Makefile.$(PLATFORM)
include arch/i386/Makefile.$(PLATFORM)
